Ignore:
Timestamp:
May 22, 2017, 2:38:35 PM (2 years ago)
Author:
mabarracus
Message:

fix postinst

File:
1 edited

Legend:

Unmodified
Added
Removed
  • lliurex-analytics-server/trunk/fuentes/debian/postinst

    r4856 r4859  
    110110    #UPDATE FROM 0.1.3 to 0.1.4
    111111
    112     older_version = "$2"
    113     target_update = "0.1.4"
     112    older_version="$2"
     113    target_update="0.1.4"
    114114
    115115    need_update_to_0_1_4=no
    116     dpkg --compare-versions "$older_version" -lt "$target_version" && need_update_to_0_1_4=yes
    117 
     116    dpkg --compare-versions "$older_version" lt "$target_update" && need_update_to_0_1_4=yes
    118117    if [ "x$need_update_to_0_1_4" = "xyes" ]; then
    119118        echo Updating to database version 0.1.4
    120         mysql -u root analytics < $dumpfile
     119        mysql < $dumpfile
    121120    fi
    122121
Note: See TracChangeset for help on using the changeset viewer.